%define major		2
%define apiver		2
%define libname		%mklibname lzo %{apiver} %{major}
%define develname	%mklibname lzo -d

%define minilzo_major	0
%define minilzo_libname	%mklibname minilzo %{minilzo_major}

Summary:	Data compression library with very fast (de-)compression
Name:		liblzo
Version:	2.10
Release:	%mkrel 6
License:	GPLv2
Group:		System/Libraries
URL:		https://www.oberhumer.com/opensource/lzo/
Source0:	https://www.oberhumer.com/opensource/lzo/download/lzo-%{version}.tar.gz

%description
LZO is a portable lossless data compression library written in ANSI C. 
It offers pretty fast compression and *very* fast decompression. 
Decompression requires no memory. In addition there are slower
compression levels achieving a quite competitive compression ratio while 
still decompressing at this very high speed.

%package -n	%{libname}
Summary:	Data compression library with very fast (de-)compression
Group:		System/Libraries
Provides:	%{name}

%description -n %{libname}
LZO is a portable lossless data compression library written in ANSI C.
It offers pretty fast compression and *very* fast decompression.
Decompression requires no memory. In addition there are slower
compression levels achieving a quite competitive compression ratio while
still decompressing at this very high speed.

%package -n	%{minilzo_libname}
Summary:	Mini version of lzo for apps which don't need the full version
Group:		System/Libraries

%description -n %{minilzo_libname}
A small (mini) version of lzo for embedding into applications which don't need
full blown lzo compression support.

%package -n	%{develname}
Summary:	Headers files of liblzo library
Group:		Development/C
Requires:	%{libname} = %{version}
Requires:	%{minilzo_libname} = %{version}
Provides:	lzo-devel = %{version}-%{release}
Provides:	%{name}2-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	minilzo-devel = %{version}-%{release}
Obsoletes:	%mklibname lzo 2_2 -d

%description -n %{develname}
LZO is a portable lossless data compression library written in ANSI C.
It offers pretty fast compression and *very* fast decompression.
Decompression requires no memory. In addition there are slower
compression levels achieving a quite competitive compression ratio while
still decompressing at this very high speed.

%prep
%setup -qn lzo-%{version}

%build
export CONFIGURE_TOP=`pwd`

mkdir -p shared
cd shared
%configure	--enable-shared --disable-static
%make_build
cd ..

# build minilzo too (rhbz 439979)
gcc %{optflags} -fpic -Iinclude/lzo -o minilzo/minilzo.o -c minilzo/minilzo.c
gcc -g -shared -o libminilzo.so.%{minilzo_major} -Wl,-soname,libminilzo.so.%{minilzo_major} minilzo/minilzo.o

%check
cd shared
%__make check
%__make test

%install
%make_install -C shared

# we don't want these
find %{buildroot} -name '*.la' -delete

install -m755 shared/lzotest/lzotest -D %{buildroot}%{_bindir}/lzotest

install -m 755 libminilzo.so.%{minilzo_major} %{buildroot}%{_libdir}
ln -s libminilzo.so.%{minilzo_major} %{buildroot}%{_libdir}/libminilzo.so
install -p -m 644 minilzo/minilzo.h %{buildroot}%{_includedir}/lzo

rm -rf %{buildroot}%{_datadir}/doc/lzo

%files -n %{libname}
%doc AUTHORS NEWS README THANKS doc/LZO.TXT doc/LZO.FAQ
%{_libdir}/*%{apiver}.so.%{major}{,.*}

%files -n %{minilzo_libname}
%doc minilzo/README.LZO
%{_libdir}/libminilzo.so.%{minilzo_major}

%files -n %{develname}
%doc doc/LZOAPI.TXT doc/LZOTEST.TXT
%{_bindir}/lzotest
%{_libdir}/*.so
%{_libdir}/pkgconfig/lzo2.pc
%{_includedir}/*


%changelog
* Sat Apr 06 2024 wally <wally> 2.10-6.mga10
+ Revision: 2055199
- basesystem rebuild for i686

* Tue Mar 15 2022 umeabot <umeabot> 2.10-5.mga9
+ Revision: 1792653
- Mageia 9 Mass Rebuild

* Sun Feb 16 2020 umeabot <umeabot> 2.10-4.mga8
+ Revision: 1530497
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Aug 30 2019 daviddavid <daviddavid> 2.10-3.mga8
+ Revision: 1435237
- rebuild for new gcc 9

* Sun Sep 23 2018 umeabot <umeabot> 2.10-2.mga7
+ Revision: 1298972
- Mageia 7 Mass Rebuild

* Sun Apr 08 2018 kekepower <kekepower> 2.10-1.mga7
+ Revision: 1216184
- Update to version 2.10

* Thu Jan 25 2018 daviddavid <daviddavid> 2.09-5.mga7
+ Revision: 1196881
- disable and remove static libraries

* Fri Apr 15 2016 tv <tv> 2.09-4.mga6
+ Revision: 1002138
- provides lzo-devel

* Thu Feb 11 2016 umeabot <umeabot> 2.09-3.mga6
+ Revision: 955592
- Mageia 6 Mass Rebuild

* Fri Aug 21 2015 tmb <tmb> 2.09-2.mga6
+ Revision: 867622
- rebuild for new gcc

* Fri Feb 13 2015 luigiwalser <luigiwalser> 2.09-1.mga6
+ Revision: 814860
- 2.09

* Wed Nov 26 2014 oden <oden> 2.08-4.mga5
+ Revision: 799311
- build minilzo too (rhbz 439979)

* Wed Oct 15 2014 umeabot <umeabot> 2.08-3.mga5
+ Revision: 744112
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.08-2.mga5
+ Revision: 681585
- Mageia 5 Mass Rebuild

* Wed Jul 02 2014 luigiwalser <luigiwalser> 2.08-1.mga5
+ Revision: 642371
- 2.08 (fixes CVE-2014-4607)

* Thu Jun 19 2014 tv <tv> 2.06-5.mga5
+ Revision: 638119
- drop uclibc build

* Fri Oct 18 2013 umeabot <umeabot> 2.06-4.mga4
+ Revision: 507176
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.06-3.mga3
+ Revision: 357720
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 24 2012 spuhler <spuhler> 2.06-2.mga3
+ Revision: 334455
- rebuilt for mga 3

* Sun Nov 27 2011 tv <tv> 2.06-1.mga2
+ Revision: 172642
- fix %%install
- new release

* Wed Jan 12 2011 ahmad <ahmad> 2.04-3.mga1
+ Revision: 6572
- drop old/unneeded scriptlets
- imported package liblzo


* Sun Dec 05 2010 Funda Wang <fwang@mandriva.org> 2.04-3mdv2011.0
+ Revision: 609603
- rebuild

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild
    - 2.04
    - rebuild

* Sat Dec 05 2009 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.03-3mdv2010.1
+ Revision: 473695
- build uclibc linked library
- correct license tag

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 2.03-2mdv2010.0
+ Revision: 425595
- rebuild

* Sun Dec 21 2008 Oden Eriksson <oeriksson@mandriva.com> 2.03-1mdv2009.1
+ Revision: 317025
- 2.03
- fix build with -Werror=format-security (P0)

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 2.02-5mdv2009.0
+ Revision: 222925
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Feb 13 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.02-4mdv2008.1
+ Revision: 167026
- fix installation of lzotest
- drop redundant COPYING and useless INSTALL doc
- move LZOAPI.TXT & LZOTEST.TXT to devel package
- install and lzotest to devel package as it could prove useful for developers

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Aug 15 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.02-2mdv2008.0
+ Revision: 63573
- obsolete older devel package (suggested by mrl ;)

* Thu Jul 12 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.02-1mdv2008.0
+ Revision: 51460
- correct major
- new version
- new devel library policy
- spec file clean


* Sun Jan 14 2007 Götz Waschk <waschk@mandriva.org> 2.01-2mdv2007.0
+ Revision: 108697
- Import liblzo

* Sun Jan 14 2007 Götz Waschk <waschk@mandriva.org> 2.01-2mdv2007.1
- use check macro

* Wed Jun 29 2005 Götz Waschk <waschk@mandriva.org> 2.01-1mdk
- fix provides
- new major
- New release 2.01

* Wed Jun 01 2005 Götz Waschk <waschk@mandriva.org> 2.00-1mdk
- new major
- mkrel
- new version

* Mon Feb 28 2005 Lenny Cartier <lenny@mandrakesoft.com> 1.08-5mdk
- fix provides

* Fri Aug 20 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.08-4mdk
- rebuild

